I'm working on a new widget that I created from scratch,

I’m working on a new widget that I created from scratch, I copied all the standard code from Eagle Widget, everything is working fine except when I try to use Clipper Library, the widget throws the following error:

Uncaught ReferenceError: ClipperLib is not defined

In (requirejs.config) I have the following line within paths:{}:

Clipper: ‘//http://i2dcui.appspot.com/js/clipper/clipper_unminified’

Is this enough? do I need to add the reference somewhere else?

Yes, you need to reference clipper in the cpdefine statement indicating it’s a dependency